<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Tus Paises
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Tus Paises</ion-title>
    </ion-toolbar>
  </ion-header>


  <ion-card *ngFor="let country of newCountries">
    <ion-card-header>
      <ion-card-subtitle>Casos al {{country.Date | date:'dd/MM/yyyy HH:mm'}} </ion-card-subtitle>
      <img src="https://www.countryflags.io/{{country.CountryCode}}/flat/64.png">
      <ion-card-title>{{country.Country}}</ion-card-title>
    </ion-card-header>
    <ion-card-content>
     <ion-card-subtitle>Nuevos</ion-card-subtitle>
     <ion-item lines="none" color="warning">
     <ion-icon name="medical-outline"></ion-icon>
     <ion-label>{{country .NewConfirmed|number:0}}</ion-label>
    </ion-item>
    <ion-item lines="none">
     <ion-icon name="heart-dislike-outline"></ion-icon>
     <ion-label>{{country .NewDeaths|number:0}}</ion-label>
    </ion-item>
    <ion-item lines="none"> 
     <ion-icon name="heart-outline" color="success"></ion-icon>
     <ion-label>{{country .NewRecovered|number:0}}</ion-label>
    </ion-item>
    <ion-card-subtitle>Totales</ion-card-subtitle>
    <ion-item lines="none" color="warning">
    <ion-icon name="medical-outline"></ion-icon>
    <ion-label>{{country .TotalConfirmed|number:0}}</ion-label>
   </ion-item>
   <ion-item lines="none">
    <ion-icon name="heart-dislike-outline"></ion-icon>
    <ion-label>{{country .TotalDeaths|number:0}}</ion-label>
   </ion-item>
   <ion-item lines="none"> 
    <ion-icon name="heart-outline" color="success"></ion-icon>
    <ion-label>{{country .TotalRecovered|number:0}}</ion-label>
   </ion-item>
    </ion-card-content>
    <ion-chip color="danger" (click)="presentAlertConfirm(country .CountryCode)">
      <ion-icon name="trash-outline"></ion-icon>
      <ion-label>Eliminar</ion-label>
    </ion-chip>
  </ion-card>
  
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" >
    <ion-fab-button color="danger" routerLink="/npais">
      <ion-icon name="add" ></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
